Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wms.configuration
Class WMSConfigurationDocument_1_3_0

    java.lang.Object
      org.deegree.framework.xml.XMLFragment
          org.deegree.ogcbase.OGCDocument
              org.deegree.ogcwebservices.getcapabilities.OGCCapabilitiesDocument
                  org.deegree.ogcwebservices.wms.capabilities.WMSCapabilitiesDocument
                      org.deegree.ogcwebservices.wms.capabilities.WMSCapabilitiesDocument_1_3_0
                          org.deegree.ogcwebservices.wms.configuration.WMSConfigurationDocument_1_3_0

All Implemented Interfaces:
  Serializable

    public class WMSConfigurationDocument_1_3_0

extends WMSCapabilitiesDocument_1_3_0

`WMSConfigurationDocument_1_3_0` is the parser class for a WMS 1.3.0 configuration document.

Since:
  2.0
Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Schmitz, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.deegree.ogcwebservices.getcapabilities.OGCCapabilitiesDocument
`OGCNS`

Fields inherited from class org.deegree.ogcbase.OGCDocument
`GMLNS`

Fields inherited from class org.deegree.framework.xml.XMLFragment
`DEFAULT_URL, nsContext, XLNNS`

Constructor Summary
`WMSConfigurationDocument_1_3_0()`

Method Summary
`void` | `createEmptyDocument()` Creates a skeleton capabilities document that contains the mandatory elements only.
`WMSConfiguration_1_3_0` | `parseConfiguration()` Added the prefix.
`protected AbstractDataSource[]` | `parseDataSources(Element layerElem, String layerName, ScaleHint scaleHint)`
`WMSDeegreeParams` | `parseDeegreeParams(Node root)` Creates a class representation of the `deegreeParams`- section.
`protected ScaleHint` | `parseDSScaleHint(Element layerElem, ScaleHint scaleHint)` parses the ScaleHint for a Datasource
`protected Layer` | `parseLayers(Element layerElem, Layer parent, ScaleHint scaleHint)`
`protected Style[]` | `parseStyles(Element layerElem)`
`static void` | `resetCapabilitiesCache()`

Methods inherited from class org.deegree.ogcwebservices.wms.capabilities.WMSCapabilitiesDocument_1_3_0
`parseAttribution, parseAuthorityURLs, parseCapabilities, parseContactInfo, parseDataURL, parseDCP, parseDimensions, parseEX_GeographicBoundingBox, parseExceptionFormats, parseFeatureListURL, parseIdentifiers, parseLayerBoundingBoxes, parseLegendURL, parseMetadataURLs, parseOperation, parseOperationsMetadata, parseScaleHint, parseServiceIdentification, parseServiceProvider, parseStyleSheetURL, parseStyleURL`

Methods inherited from class org.deegree.ogcwebservices.wms.capabilities.WMSCapabilitiesDocument
`parseExtents, parseLatLonBoundingBox, parseUserDefinedSymbolization`

Methods inherited from class org.deegree.ogcwebservices.getcapabilities.OGCCapabilitiesDocument
`parseAddress, parseMetadataLink, parsePhone, parseUpdateSequence, parseVersion`

Methods inherited from class org.deegree.ogcbase.OGCDocument
`parseCodeList, parseCodeListArray, parseExtendedPropertyPath, parseInterval, parseKeywords, parseKeywords, parseLonLatEnvelope, parseOnLineResource, parsePropertyPath, parseTimePeriod, parseTimePeriods, parseTimePositions, parseTimeSequence, parseTypedLiteral, parseValues`

Methods inherited from class org.deegree.framework.xml.XMLFragment
`getAsPrettyString, getAsString, getAttachedSchemas, getQualifiedName, getRootElement, getSystemId, hasSchema, load, load, load, parseQualifiedName, parseSimpleLink, prettyPrint, prettyPrint, resolve, setRootElement, setSystemId, setSystemId, toString, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WMSConfigurationDocument_1_3_0

    public WMSConfigurationDocument_1_3_0()

Method Detail

### resetCapabilitiesCache

    public static void resetCapabilitiesCache()

### createEmptyDocument

    public void createEmptyDocument()
                             throws IOException,
                                    SAXException

  Description copied from class: `WMSCapabilitiesDocument`
  Creates a skeleton capabilities document that contains the mandatory elements only.

  Overrides:
    `createEmptyDocument` in class `WMSCapabilitiesDocument_1_3_0`
  Throws:
    `IOException`
    `SAXException`

### parseConfiguration

    public WMSConfiguration_1_3_0 parseConfiguration()
                                              throws InvalidConfigurationException,
                                                     XMLParsingException

  Added the prefix.

  Returns:
    the parsed configuration
  Throws:
    `InvalidConfigurationException`
    `XMLParsingException`

### parseDeegreeParams

    public WMSDeegreeParams parseDeegreeParams(Node root)
                                        throws XMLParsingException,
                                               MalformedURLException

  Creates a class representation of the `deegreeParams`- section.

  Parameters:
    `root` -
  Returns:
    the deegree params
  Throws:
    `XMLParsingException`
    `MalformedURLException`

### parseLayers

    protected Layer parseLayers(Element layerElem,
                                Layer parent,
                                ScaleHint scaleHint)
                         throws XMLParsingException,
                                UnknownCRSException

  Overrides:
    `parseLayers` in class `WMSCapabilitiesDocument_1_3_0`
  Returns:
    the layer created from the given element
  Throws:
    `XMLParsingException`
    `UnknownCRSException`

### parseStyles

    protected Style[] parseStyles(Element layerElem)
                           throws XMLParsingException

  Overrides:
    `parseStyles` in class `WMSCapabilitiesDocument_1_3_0`
  Returns:
    the styles
  Throws:
    `XMLParsingException`

### parseDataSources

    protected AbstractDataSource[] parseDataSources(Element layerElem,
                                                    String layerName,
                                                    ScaleHint scaleHint)
                                             throws XMLParsingException

  Parameters:
    `layerElem` -
  Returns:
    the data sources
  Throws:
    `XMLParsingException`

### parseDSScaleHint

    protected ScaleHint parseDSScaleHint(Element layerElem,
                                         ScaleHint scaleHint)
                                  throws XMLParsingException

  parses the ScaleHint for a Datasource

  Parameters:
    `layerElem` -
    `scaleHint` -
  Returns:
    the ScaleHint for the Datasource
  Throws:
    `XMLParsingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org